List broadcasts
Get a paged list of broadcasts.
Required permissions: BROADCAST
get/tenants/{tenantUid}/stores/{storeUid}/broadcasts
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+Query parameters
pageNumberintegerOptional
Reference to a specific page in a result set.
pageSizeintegerOptional
The number of items per page in a result set.
sortBystringOptional
Defines which field the resource list is sorted by.
sortDirectionstring · enumOptional
Possible values:
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
Responses
200
BroadcastListResponse
application/json
get/tenants/{tenantUid}/stores/{storeUid}/broadcasts
GET /v2/tenants/{tenantUid}/stores/{storeUid}/broadcasts HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
BroadcastListResponse
{
"items": [
{
"broadcastUid": "text",
"channel": "SMS",
"purpose": "MARKETING",
"status": "DRAFT",
"title": "text",
"description": "text",
"body": "text",
"subject": "text",
"sender": "text",
"storeUid": "text",
"sendAt": "2026-01-01T00:00:00.000Z",
"startedAt": "2026-01-01T00:00:00.000Z",
"finishedAt": "2026-01-01T00:00:00.000Z",
"progress": {
"totalCount": 1,
"queuedCount": 1,
"dispatchedCount": 1,
"deliveredCount": 1,
"failedCount": 1
},
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text"
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Last updated
Was this helpful?

